/*******************************************************************************
 SimpleSpeak:

 A simple example to illustrate how to use the CUTalk(TM) Cantonese
 Text-To-Speech API.

 *******************************************************************************
 CHANGE LOG
 26 JAN 2002	-	Created by LO Wai Kit
 *******************************************************************************
 IMPORTANT

 To use this sample code, you MUST have be a valid licensee of the CUTalk(TM).
 Otherwise, you MUST REMOVE this program from your computer and any other
 storage.

 This program forms part of the CUTalk(TM). It is provided in the hope that it
 will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *******************************************************************************
 Copyright (C) 2002 CUHK. All rights reserved.
 ******************************************************************************/
#include <windows.h>
#include <stdio.h>
#include "cutalk.h"

int main(){
	class inputdata e;
 
	// Initialize the TTS
	if( initCTTS("C:\\CUTalk\\data", F_VOICE)==0 ){
		printf("CTTS initialisation fail\n");
		exit(1);
	}

	// Change the text to be read
	e.setcontent("Цbo̿Jr");
	// Change the output file name here
	e.setwav_name("outputFile.wav");
	// Select the output file format, WAV, MU, or RAW
	e.setwav_type(WAVE);
	// Change sentence rate here, 0.5 - 2
	e.setsentence_rate(1.1);

	chinese2wavfile(&e);

	// Release the TTS resources
	termCTTS();

	return 0;
}

